SmtpClient::SmtpConnection Class Reference

class for SMTP connections; returns an object of class SmtpClient for sending emails More...

Inheritance diagram for SmtpClient::SmtpConnection:
[legend]

## Public Member Functions

| constructor (string name, string desc, string url, bool monitor, *hash opts, hash urlh)
| creates the SmtpConnection object More...
*hash | getRuntimeOptions ()
| returns runtime options More...
string | getType ()
| returns `"smtp"`

## Static Public Member Functions

static SmtpConnection | make (string name, string desc, string url, bool monitor, *hash opts, hash urlh)
| static constructor

## Private Member Functions

SmtpClient | getImpl (bool connect=True, *hash rtopts)
| returns an SmtpClient object More...

## Detailed Description

class for SMTP connections; returns an object of class SmtpClient for sending emails

supports the following runtime options in getImpl() for connection logging:

- `"log"`: a closure accepting a single string for logging
- `"dbglog"`: a closure taking a single string for detailed technical connection logging

Since
  SmtpClient 1.6

## Member Function Documentation

## constructor()

SmtpClient::SmtpConnection::constructor | ( | string | name,
|  | string | desc,
|  | string | url,
|  | bool | monitor,
|  | *hash | opts,
|  | hash | urlh
| ) |  |

creates the SmtpConnection object

Parameters

  name | the name of the connection
  desc | connection description
  url | connection URL
  monitor | monitoring flag
  opts | connection options
  urlh | broken down URL hash (as returned by Qore::parse_url())

## getImpl()

SmtpClient SmtpClient::SmtpConnection::getImpl | ( | bool | connect = `True`,
|  | *hash | rtopts
| ) |  |

private virtual

returns an SmtpClient object

Parameters

  connect | if True, then SmtpClient::connect() is called

  rtopts

  supports the following runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging

Returns
  an SmtpClient object

Implements ConnectionProvider::AbstractConnection.

## getRuntimeOptions()

*hash SmtpClient::SmtpConnection::getRuntimeOptions | ( |  | ) |

returns runtime options

Returns
  a hash with the following keys reflecting support for the corresponding runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging